//判断浏览器
function createXMLHttp()
{
    var request = false;
    if (window.XMLHttpRequest){ request = new XMLHttpRequest(); }
    else if (window.ActiveXObject) 
    {
       try{ request = new ActiveXObject("MSXML2.XMLHTTP"); } 
       catch (e1) 
       {
         try{ request = new ActiveXObject("Microsoft.XMLHTTP"); } 
         catch (e2){ request = false; }
       }
    }
    return request;
}
  
    //以XML求取ddl_CurrentJob的数据
	function XmlPost_CurrentJob(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?currentjobid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;		　　
		if(result != "")
		{
			document.getElementById("ddl_CurrentJob").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_CurrentJob").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_CurrentJob").value = document.getElementById("ddl_CurrentJob").options[document.getElementById("ddl_CurrentJob").selectedIndex].value;
		}
		else
		{
			alert(result);
		}
	}
    
    //以XML求取lib_WishJobBox的数据
	function XmlPost_WishJobBox(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?wishjobid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("lib_WishJobBox").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("lib_WishJobBox").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
		}
		else
		{
			alert(result);
		}
	}
	//以XML求取lib_WishTrainBox的数据
	function XmlPost_WishTrainBox(obj) {
	    var svalue = obj.value;
	    var webFileUrl = "?wishTrainid=" + svalue;
	    var result = "";
	    var xmlHttp = createXMLHttp();
	    xmlHttp.open("POST", webFileUrl, false);
	    xmlHttp.send("");
	    result = xmlHttp.responseText;
	    if (result != "") {
	        document.getElementById("lib_WishTradeBox").length = 0;
	        var piArray = result.split(",");
	        for (var i = 0; i < piArray.length; i++) {
	            var ary = piArray[i].toString().split("|");
	            document.getElementById("lib_WishTradeBox").options.add(new Option(ary[1].toString(), ary[0].toString()));
	        }
	    }
	    else {
	        alert(result);
	    }
	}
    //以XML求取lib_WishWorkPlaceCity的数据
	function XmlPost_WishWorkPlaceCity(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?provinceid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("lib_WishWorkPlaceCity").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("lib_WishWorkPlaceCity").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
		}
		else
		{
			alert(result);
		}
	}
